Bug 855440 - method to force form fields to updated values
method to force form fields to updated values
Status: CLOSED UPSTREAM
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Matt Tyson
tools-bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 14:31 EDT by Kevin Baker
Modified: 2014-12-01 18:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 20:19:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Baker 2012-09-07 14:31:40 EDT
Hi,

is it possible to use javascript to force the refresh over the form fields as well?

http://stackoverflow.com/questions/7377301/firefox-keeps-form-data-on-reload
http://forums.mozillazine.org/viewtopic.php?t=470263
http://www.siafoo.net/article/66
 "The solution is to add the attribute autocomplete="off" to the form element containing the troubled select box."



Another way I imagined to catch this could be to set up an input field that has the timestamp of when the screen was last hard loaded. So it will keep it's timestamp value through a refresh. When the screen is submitted you could check that it was after the last update and scream if not.

Ref: https://bugzilla.mozilla.org/show_bug.cgi?id=210095
Comment 5 Simon Green 2012-09-26 18:45:53 EDT
We will backport this from upstream bugzilla ASAP.

  -- simon
Comment 6 Simon Green 2012-09-27 20:19:07 EDT
(In reply to comment #5)
> We will backport this from upstream bugzilla ASAP.

Unfortunately, we won't be backporting this code from upstream. We will however include when we release Bugzilla 4.4, hopefully in the new year.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.